> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/cassandra-pack/cassandra.md).

# Cassandra

This page describes the Optimization Pack for the component type Cassandra.

## Metrics

| Metric                     |              | Description                                    |
| -------------------------- | ------------ | ---------------------------------------------- |
| read\_rate                 | ops/s        | Read queries per second                        |
| read\_response\_time\_p99  | milliseconds | 99th percentile of read queries response time  |
| read\_response\_time\_avg  | milliseconds | Average response time of read queries          |
| write\_rate                | ops/s        | Write queries per second                       |
| write\_response\_time\_p99 | milliseconds | 99th percentile of write queries response time |
| read\_response\_time\_max  | milliseconds | Maximum response time of read queries          |
| total\_rate                | ops/s        | Total queries per second                       |
| write\_response\_time\_avg | milliseconds | Average response time of write queries         |
| write\_response\_time\_max | milliseconds | Maximum response time of write queries         |
| read\_response\_time\_p90  | milliseconds | 90th percentile of read queries response time  |
| write\_response\_time\_p90 | milliseconds | 90th percentile of write queries response time |

## Parameters

| Parameter                                       | Type        | Unit         | Default Value                  | Domain                                                                                      | Restart | Description                                                                                |
| ----------------------------------------------- | ----------- | ------------ | ------------------------------ | ------------------------------------------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------ |
| cassandra\_compactionStrategy                   | categorical |              | `SizeTieredCompactionStrategy` | `LeveledCompactionStrategy`, `SizeTieredCompactionStrategy`, `TimeWindowCompactionStrategy` | yes     | Compaction strategy in use                                                                 |
| cassandra\_concurrentReads                      | integer     |              | `32`                           | `2` → `128`                                                                                 | yes     | Concurrent Reads                                                                           |
| cassandra\_concurrentWrites                     | integer     |              | `32`                           | `2` → `128`                                                                                 | yes     | Concurrent Writes                                                                          |
| cassandra\_fileCacheSizeInMb                    | integer     | megabytes    | `512`                          | `128` → `4096`                                                                              | yes     | Total memory to use for SSTable-reading buffers                                            |
| cassandra\_memtableCleanupThreshold             | real        |              | `0.11`                         | `0.01` → `0.99`                                                                             | yes     | Ratio used for automatic memtable flush                                                    |
| cassandra\_concurrentCompactors                 | integer     |              | `2`                            | `1` → `32`                                                                                  | yes     | Sets the number of concurrent compaction processes allowed to run simultaneously on a node |
| cassandra\_commitlog\_compression               | categorical |              | `NoCompressor`                 | `NoCompressor`, `LZ4Compressor`, `SnappyCompressor`, `DeflateCompressor`                    |         | Sets the compression of commit log                                                         |
| cassandra\_commitlog\_segment\_size\_in\_mb     | integer     | megabytes    | `32`                           | `8` → `32`                                                                                  |         | Sets the segment size of commit log                                                        |
| cassandra\_compaction\_throughput\_mb\_per\_sec | integer     | megabytes/s  | `16`                           | `0` → `999`                                                                                 |         | Sets the number of throughput for compaction                                               |
| cassandra\_commitlog\_sync\_period\_in\_ms      | integer     | milliseconds | `10000`                        | `1` → `25000`                                                                               |         | Sets the sync period of commit log                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/cassandra-pack/cassandra.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
